resource "aws_autoscaling_group" "asgSecondary" {
  depends_on = ["aws_launch_configuration.secondary"]
  availability_zones        = ["${data.aws_availability_zones.available.names[1]}"]
  name                      = "TerraformASGSecondary"
  max_size                  = 1
  min_size                  = 1
  wait_for_capacity_timeout = "0"
  health_check_grace_period = 300
  health_check_type         = "ELB"
  desired_capacity          = 1
  wait_for_capacity_timeout = "0"
  force_delete              = false
  vpc_zone_identifier = ["${aws_subnet.secondary.id}"]
  #placement_group           = "${aws_placement_group.test.id}"
  launch_configuration      = "${aws_launch_configuration.secondary.name}"
  load_balancers = ["${aws_elb.elb.name}"]
}
